.TH XMEM 1 X11
.SH NAME
xmem \- monitor your memory usage status
.SH DESCRIPTION
xmem stands for X Memory Monitor and runs under MIT's X11
window system. It is a tool designed to make monitoring your 
memory usage easy by displaying a simple bar graph for both 
real and virtual memory. It updates the memory statistics at 
regular, user definable intervals.
.SH COMMAND LINE PARAMETERS
.PP
xmem accepts the following command line options:

.nf
	+rv                     reverse video (use to override xrdb entry) 
	+synchronous            syncronous mode (use to override xrdb entry)
	-?                      help
	-a                      absolute display mode
	-background <arg>       backgound color 
	-b                      black bars (disable gray fill)
	-bg <arg>               same as -background 
	-bordercolor <arg>      border color
	-borderwidth <arg>      border width
	-detailgeometry <arg>   Geometry of detail window. Only X and Y are 
					honoured
	-display                display
	-fg <arg>               same as -forground
	-font <arg>             font
	-foreground <arg>       forground color (also file system bar color)
	-geometry <arg>         geometry (will override extreme window sizes to 
					apply reasonable settings)
	-help                   help
	-i <arg>                interval at which stats are updated(default=60s)
	-iconic                 iconic
	-m                      minimize window size
	-mb                     draw menu borders
	-menu                   show the menu
	-name <arg>             run xmem under this name
	-p                      don't display percentages
	-r                      display space with respect to root
	-rs <arg>               specify the amount of space reserved for root
	-rv                     reverse video
	-synchronous            synchronous mode
	-v                      verbose
	-w <arg>                display warning pixmap when (real) memory usage 
					reaches <arg> %
	-xrm                    set an entry in the resource database for this
					execution only
	help			help

        +rv                     reverse video (use to override xrdb entry)
        +synchronous            syncronous mode(use to override xrdb entry)
        -?                      help
	-A			show available space in MBs
        -a                      absolute display mode
        -background <arg>       backgound color
        -b                      black bars (disable gray fill)
        -bg <arg>               same as -background
        -bordercolor <arg>      border color
        -borderwidth <arg>      border width
        -detailgeometry <arg>   Geometry of detail window. Only X and Y are
                                        honoured
        -display                display
        -e                      extend warning to ring bell when file 
					system is above warning level
	-f                      show free space rather than space used
        -fg <arg>               same as -forground
        -font <arg>             font
        -foreground <arg>       forground color(also file system bar color)
	-fsb                    draw file system bars without a border
        -geometry <arg>         geometry (will override extreme window 
					sizes to apply reasonable settings)
        -help                   help
        -i <arg>                interval at which stats are updated 
						(default=60s)
        -iconic                 iconic
	-it <arg1 ... argn>     ignore file systems of this type
        -m                      minimize window size
        -mb                     draw menu borders
        -mnl                    minimize window size so that the longest 
					file system name fits
        -name <arg>             run xmem under this name
	-ot <arg>               show only file systems of this type
        -p                      don't display percentages
        -r                      display space with respect to root
	-rs <arg>               specify the amount of space reserved for root
					default=10%
        -rv                     reverse video
        -synchronous            synchronous mode
        -v                      verbose
        -w <arg>                display warning when usage reaches <arg> %
        -xrm                    set an entry in the resource database for 
						this execution only
        help                    help
.fi

.SH RESOURCES
.PP
xmem can be controlled via the following resources:

.nf
	absolute                absolute display mode
	background              universal backgound color
	<memory>.background     background color for a file system
	borderColor             border color
	borderWidth             border width
	detailWin.geometry      Geometry of detail window. Only X and Y are
					honored
	detailWin.share         have detail window share file system color
	display                 display
	font                    font
	foreground              universal foreground color 
	<filesystem>.foreground foreground color for a file system
	fs_border               do we draw a borders around file systems?
	gray                    black bars
	help                    show help
	mainWin.geometry        main window geometry
	iconic                  start program in iconic mode 
	minimize                minimize window size 
	menuborder              draw menu borders
	name                    run xmem under this name
	percent                 don't display percentages 
	reverseVideo            reverse video
	synchronous             syncronous mode
	updInterval             interval at which stats are updated
	verbose                 verbose mode 
	warnval                 display warning pixmap when usage reaches <arg>
.fi

.PP
.SH BRIEF USER'S GUIDE
The following abbreviations are used:
.nf

	LB      - left mouse button
.fi
.PP
Once you have started xmem, you will get a window containing 
1 or 2 bar graphs (real and virtual memory).  

If you click on the bar graph of a memory area (LB) you get a 
window displaying the detailed statistics for the memory area. 
Clicking on the bar graph again (LB) or clicking in the 
detail window (LB), closes the detail window while clicking 
on another bar graph (LB) while the detail window is open, 
displays this memory area's statistics in the detail window.
.PP
The right mouse button is used to toggle the display mode. The
default startup mode graphs all memory areas relative to their
size. By clicking with the right mouse button in any of the 
windows, the graphs are drawn in absolute size. Clicking (RB) 
again, reverts back to the original mode. 

The following keys can be used to control xmem:
.nf
	q - quit xmem
	u - update now
	t - toggle display mode
	c - close the detail window
.fi
.PP
Specifying the -menu option, will display 2 menu buttons: 
.nf
	Update Now - updates all files systems' statistics now
	Quit       - exits xmem
.fi
.PP
The Detail Window can display the following statistics. Depending
on the system you are on, you may not get all these statistics:
.nf
	Available               Total Memory Available
	Used                    Memory in use
	Free                    Free Memory
	Shared                  Shared Memory
	Buffer                  Buffer Memory
.fi
.PP
.SH AUTHOR
xmem was written by Robert Gasch (Robert_Gasch@peoplesoft.com) and is 
copyright by the author. Xmem is distributed under the GNU General Public 
Licence. 
.SH CREDITS
The code in get_meminfo() is stolen/adapted from the package procps.  
